const projects = [{
        'name': "Nature's Aura",
        'desc': "Nature's Aura is a new Minecraft mod about collecting, using and replenishing the Aura naturally present in the world to create useful devices and unique mechanics. It's currently not released yet, but the first public beta will be very soon.",
        'status': 'In development',
        'icon': 'na'
    },
    {
        'name': 'Rock Bottom',
        'desc': 'Rock Bottom is a game I\'ve been working on for a little more than a year now. It\'s a 2D-sidescrolling sandbox game with a storyline that has multiplayer support, a modding API and a lot more fun stuff. It\'s currently still in early development.',
        'links': {
            'Website': 'https://rockbottom.ellpeck.de',
            'API on GitHub': 'https://github.com/RockBottomGame/API'
        },
        'status': 'In development',
        'icon': 'rb'
    },
    {
        'name': 'Actually Additions',
        'desc': 'Actually Additions is a rather popular Minecraft mod that I used to work on. It\'s become widely known in the modding community and has reached over 10 million downloads by now, which is crazy. I don\'t work on it anymore myself, but it\'s being maintained for current versions by someone else.',
        'links': {
            'CurseForge page': 'https://www.ellpeck.de/actadd',
            'Online manual': 'https://www.ellpeck.de/actaddmanual/'
        },
        'status': 'Handed off',
        'icon': 'aa'
    },
    {
        'name': 'Glimmers in the Shadow',
        'desc': 'Glimmers in the Shadow is a book I\'ve been working on for a while. It contains stories and poems I wrote over the course of about two years. Here\'s the description from the cover:<br><em>It turns out that life as a human person isn\'t as easy as some people might lead you to believe. <br>During the last couple of years, my main way of dealing with negative feelings has been writing poems and stories as a way to understand my feelings or start thinking about something different." <br>This book is a collection of stories, poems, and personal anecdotes written by a teenager struggling with life. They go far beyond that, though: They\'re deep, weird, confusing, they\'re emotional. But together, they tell a story of a young person trying to understand the world.</em>',
        'links': {
            'Buy the Book': '#glimmers'
        },
        'status': 'Published',
        'icon': 'glimmers'
    },
    {
        'name': 'Tracer',
        'desc': 'A small web app with spaceships that fly around and draw a line in a random color wherever they go. The cool thing is that, when two of them collide, both of their colors fade into a different one. It\'s fun to watch!',
        'links': {
            'Check it out': 'https://ellpeck.github.io/Tracer'
        },
        'status': 'Finished',
        'icon': 'tracer'
    },
    {
        'name': 'Sudoku',
        'desc': 'A simple game of sudoku. Fill in the board with numbers one through nine, making sure each row, column and three by three field only ever has one of the same number. A board is randomly generated for you every time you refresh the page. Use the scroll wheel to input numbers into a selected field.',
        'links': {
            'Play it here': 'https://ellpeck.de/sudoku',
            'Check the source': 'https://github.com/Ellpeck/Sudoku'
        },
        'status': 'Finished',
        'icon': 'sudoku'
    },
    {
        'name': 'Memory',
        'desc': 'A game of memory. Turn over fields to see the numbers they have. Try to combine all of the same-numbered fields to uncover the board!',
        'links': {
            'Play it here': 'https://ellpeck.de/memory',
            'Check the source': 'https://github.com/Ellpeck/Memory'
        },
        'status': 'Finished',
        'icon': 'memory'
    }
];

let p = '';
for (project of projects) {
    p += '<div class="card bg-light project rounded-0">';
    p += '<div class="card-body">';
    p += '<img class="project-image" src="res/projects/' + project['icon'] + '.png" alt="">';

    p += '<h4 class="card-title">' + project['name'] + '</h4>';
    p += '<p class="card-text">' + project['desc'] + '</p>';
    p += '<span class="text-muted project-status">' + project['status'] + '</span>';

    let links = project['links'];
    if (links) {
        for (let name in links) {
            p += '<a href="' + links[name] + '" class="card-link btn btn-outline-info rounded-0">' + name + '</a>';
        }
    }

    p += '</div>';
    p += '</div>';
}
$('#project-list').html(p);